﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Infragistics.Controls.Grids;

namespace XamGrid2
{
    public partial class MainPage : UserControl
    {
        public List<Libelle> listLibelle { get; set; }

        public List<int> listCote { get; set; }
        public MainPage()
        {
            InitializeComponent();
            this.listLibelle = new List<Libelle> { new Libelle("1", "Parla"), new Libelle("2", "Parci") };

            this.listCote = new List<int> { 0, 1 };

            InitializeComponent();

            var listPerson = new List<Adresse> { new Adresse(listLibelle[0], listCote[0]), new Adresse(listLibelle[1], listCote[1]), new Adresse(listLibelle[0], listCote[0]), new Adresse(listLibelle[1], listCote[1]) };


            this.xamGrid1.ItemsSource = listPerson;
        }

        private void itemsBox_Loaded(object sender, RoutedEventArgs e)
        {
            ListBox lb = (ListBox)sender;

            string name = lb.Tag as string;

            if (name == "Côté")
                lb.ItemTemplate = (DataTemplate)this.xamGrid1.Resources["CoteFilter"];
            else
                lb.ItemTemplate = (DataTemplate)this.xamGrid1.Resources["NormalFilter"];
        }
    }
    public class Adresse
    {
        public int Cote { get; set; }
        public Libelle Libelle { get; set; }

        public Adresse(Libelle lib, int cote)
        {
            this.Libelle = lib;
            this.Cote = cote;
        }

        public Adresse() { }
    }

    public class Libelle : IComparable
    {
        public string Numero { get; set; }
        public string Rue { get; set; }

        public Libelle(string numero, string rue)
        {
            this.Numero = numero;
            this.Rue = rue;
        }

        public Libelle() { }

        public override string ToString()
        {
            return Numero + " " + Rue;
        }

        public int CompareTo(object obj)
        {
            if (obj is Libelle)
            {
                Libelle l = obj as Libelle;
                if (this.Numero == l.Numero)
                {
                    if (this.Rue == l.Rue)
                    {
                        return 0;
                    }
                    else
                        return String.Compare(this.Rue, l.Rue);
                }
                else
                {
                    return String.Compare(this.Numero, l.Numero);
                }
            }
            else
                return -1;
        }
    }
}
